Package org.apache.wiki.api.spi

# Class Wiki

java.lang.Object
org.apache.wiki.api.spi.Wiki

public class Wiki extends Object

## Constructor Summary

Constructors
Constructor
Description
`Wiki()`

## Method Summary

Modifier and Type
Method
Description
`static AclsDSL`
`acls()`
Access to `AclsSPI` operations.
`static ContentsDSL`
`contents()`
Access to `ContentsSPI` operations.
`static ContextDSL`
`context()`
Access to `ContextSPI` operations.
`static EngineDSL`
`engine()`
Access to `EngineSPI` operations.
`static Properties`
`init(jakarta.servlet.ServletContext context)`
`static SessionDSL`
`session()`
Access to `SessionSPI` operations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Wiki

public Wiki()

## Method Details

### init

public static Properties init(jakarta.servlet.ServletContext context)

### acls

public static AclsDSL acls()
Access to `AclsSPI` operations.

Returns:
  `AclsSPI` operations.

### contents

public static ContentsDSL contents()
Access to `ContentsSPI` operations.

Returns:
  `ContentsSPI` operations.

### context

public static ContextDSL context()
Access to `ContextSPI` operations.

Returns:
  `ContextSPI` operations.

### engine

public static EngineDSL engine()
Access to `EngineSPI` operations.

Returns:
  `EngineSPI` operations.

### session

public static SessionDSL session()
Access to `SessionSPI` operations.

Returns:
  `SessionSPI` operations.